PACDIFF(8)

NUME
pacdiff - instrument de întreținere pentru pacorig, pacnew și pacsave

SINOPSIS

pacdiff [opțiuni]

DESCRIERE

pacdiff este un script care caută fișiere pacorig, pacnew și pacsave din intrările de rezervă găsite în baza de date „pacman” locală. Pentru fiecare fișier găsit se oferă opțiunea de a vizualiza, unifica, sări, compara diferențe, șterge sau suprascrie fișierul pacorig, pacnew sau pacsave găsit.

OPȚIUNI

  Opțiuni de căutare

-f, --find
    Scanează folosind «find».

-l, --locate
    Scanează folosind «locate».

-p, --pacmandb
    Scanează fișierele de configurare active din baza de date pacman. (implicit)

  Opțiuni generale

-b, --backup
    Atunci când se suprascrie, salvează fișierele vechi cu sufixul .bak.

-c, --cachedir <director>
    Scanează în schimb director în calitate de cache „pacman” pentru candidații bazei de fuziune pe trei căi.

-h, --help
    Afișează sintaxa și opțiunile liniei de comandă.

--nocolor
    Nu colorează ieșirea.

-o, --output
    Imprimă fișierele în loc să le fuzioneze.

-s, --sudo
    Utilizează «sudo» și «sudoedit» pentru a fuziona/elimina fișiere.

-3, --threeway
    Vizualizează diferențele pe trei căi dacă pachetul bază este disponibil în cache. În caz contrar, revine la diferențele obișnuite cu 2 căi.

-V, --version
    Afișează informațiile despre versiune..

MEDIU

DIFFPROG
    Suprascrie programul de fuzionare implicit vim -d.

DIFFSEARCHPATH
    Suprascrie ruta de căutare implicită /etc, numai atunci când se utilizează «find».

MERGEPROG
    Substituie programul implicit diff3 -m de fuzionare pe trei căi. O posibilă alternativă este git merge-file -p.

CONSULTAȚI ȘI

pacman(8), pacman.conf(5)

ERORI

Hibe? Probabil că glumiți; nu există nicio hibă în acest software&. Dar dacă se întâmplă să fie ceva greșit, depuneți o cerere de rezolvare a problemei cu cât mai multe detalii posibile la: https://gitlab.archlinux.org/pacman/pacman-contrib/-/issues/new.

AUTORI

Responsabilii actuali:

    • Johannes Löthberg <johannes@kyriasis.com>

    • Daniel M. Capella <polyzen@archlinux.org>

Pentru contribuitori suplimentari, folosiți «git shortlog -s» în depozitul .git pacman-contrib.

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.